package com.zhiwei.manage.dao;

import java.util.Date;
import java.util.List;

import com.zhiwei.manage.bean.Data;

public interface DataDao {

	public void insert(Data data);

	public List<Data> findByPtDay(Date startTime, Date endTime, String pt);

	public List<Data> findByPt(Date startTime, Date endTime, String pt);

	public List<Data> findBySource(Date startTime, Date endTime, String source);

	public List<Data> findBytempName(Date startTime, Date endTime, String tempName);

	public List<String> findTmpNameByLikeParam(String param);
}
